/// Generated By XFlutter Cli.
///
/// more info: https://medium.com/@aghiadodeh
import 'package:freezed_annotation/freezed_annotation.dart';
part 'user.freezed.dart';
part 'user.g.dart';

// ----------(json)----------
/*
{
  "createdAt": "2022-06-13T15:03:24.653Z",
  "name": "Aghiad Odeh",
  "avatar": "https://images.pexels.com/photos/1043474/pexels-photo-1043474.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500",
  "country": "Greece",
  "city": "Sanford",
  "company": "Bespoke Plastic Table",
  "id": "1"
} 
*/
// --------------------------

@freezed
class User with _$User {
  const factory User({
    String? createdAt,
    String? name,
    String? avatar,
    String? country,
    String? city,
    String? company,
    String? id,
  }) = _User;

  factory User.fromJson(Map<String, dynamic> json) => _$UserFromJson(json);
}
